|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionProgressBar Class Reference

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar. More...

    #include <QStyleOptionProgressBar>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Properties

- maximum : const int
- minimum : const int
- progress : const int

- text : const QString
- textAlignment : const Qt::Alignment
- textVisible : const bool

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionProgressBar ()
- QStyleOptionProgressBar ( const QStyleOptionProgressBar & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionProgressBar class is used to describe the parameters necessary for drawing a progress bar.

The QStyleOptionProgressBar class is used to draw QProgressBar.

## Property Documentation

### maximum : const int

This property holds the maximum value for the progress bar.

This is the maximum value in the progress bar.

See also QProgressBar::maximum.

### minimum : const int

This property holds the minimum value for the progress bar.

This is the minimum value in the progress bar.

See also QProgressBar::minimum.

### progress : const int

This property holds the current progress for the progress bar.

The current progress. A value of QStyleOptionProgressBar::minimum - 1 indicates that the progress hasn't started yet.

See also QProgressBar::value.

### text : const QString

This property holds the text for the progress bar.

The progress bar text is usually just the progress expressed as a string. An empty string indicates that the progress bar has not started yet.

See also QProgressBar::text.

### textAlignment : const Qt::Alignment

This property holds the text alignment for the text in the .

This can be used as a guide on where the text should be in the progressbar.

See also QProgressBar::textAlignment.

### textVisible : const bool

This property holds a flag indicating whether or not text is visible.

If this flag is true then the text is visible. Otherwise, the text is not visible.

See also QProgressBar::textVisible.

## Member Function Documentation

### QStyleOptionProgressBar::QStyleOptionProgressBar ()

Constructs a QStyleOptionProgressBar. The members variables are initialized to default values.

### QStyleOptionProgressBar::QStyleOptionProgressBar ( const QStyleOptionProgressBar & other )